<div class="step">
	<h3>Target Overview</h3>
	<div class="btns">
		<span class="btn"><%= link_to "Scan...", new_scan_path(@workspace), { :class => "scan" } %></span>
		<span class="btn"><%= link_to "Import...", new_import_path(@workspace), { :class => "import" } %></span>
		<span class="btn"><%= link_to "Nexpose...", new_nexpose_path(@workspace), { :class => "nexpose" } %></span>
	</div>
	
	<div class="stepInfo" id="host_chart"></div>
	<br/>
	<div class="stepInfo" id="os_chart"></div>
</div>

<script>
var r = Raphael(document.getElementById("host_chart"), 400, 140);
<%
	host_states = @workspace.hosts.map{|host| host.status}
	
	stat_scanned = 0
	stat_cracked = 0
	stat_shelled = 0
	stat_looted  = 0
	host_states.each do |state|
		case state
			when 1
				stat_scanned += 1
			when 2
				stat_cracked += 1
			when 3
				stat_shelled += 1
			when 4
				stat_looted += 1
		end
	end
%>
r.g.piechart(50, 50, 50, [ <%= stat_scanned %>, <%= stat_cracked %>, <%= stat_shelled %>, <%= stat_looted %>],{ 
	legend: ["%% - Discovered ", "%% - Cracked", "%% - Shelled", "%% - Looted"], legendpos: "east"
});

var r = Raphael(document.getElementById("os_chart"), 400, 140);
<%
	os_stats = {}
	@workspace.hosts.map{|host| os_stats[host.os] ||=0; os_stats[host.os] += 1; }
	top_names  = os_stats.keys.sort{|a,b| os_stats[b] <=> os_stats[a] }[0, 5]
	top_values = top_names.map{|name| os_stats[name]}
%>
r.g.piechart(50, 50, 50, [ <%= top_values[0] %>, <%= top_values[1] %>, <%= top_values[2] %>, <%= top_values[3] %>, <%= top_values[4] %>],{ 
	legend: ["%% - <%= top_names[0] %> ", "%% - <%= top_names[1] %>", "%% - <%= top_names[2] %>", "%% - <%= top_names[3] %>", "%% - <%= top_names[4] %>"], legendpos: "east"
});
</script>

